Bug 36230 - clamav update failed
clamav update failed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: clamav
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Felix Botner
: interim-3
Depends on:
Blocks: 36205
  Show dependency treegraph
 
Reported: 2014-10-19 11:02 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
updater.log (922.79 KB, text/plain)
2014-10-19 11:02 CEST, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-19 11:02:52 CEST
Created attachment 6191 [details]
updater.log

Seen in the Jenkins test:
http://jenkins.knut.univention.de:8080/job/UCS-4.0/job/UCS-4.0-0/job/UCS%203.2%20to%204.0%20Autotest%20MultiEnv/SambaVersion=s3,Systemrolle=slave/

--------------------------------------------------------------------------------
Setting up clamav-freshclam (0.98.4+dfsg-0.131.201409241548) ...
Installing new version of config file /etc/init.d/clamav-freshclam ...
freshclam: Can not continue with PidFile not set ... failed!
invoke-rc.d: initscript clamav-freshclam, action "start" failed.
dpkg: error processing clamav-freshclam (--configure):
 subprocess installed post-installation script returned error exit status 6
dpkg: dependency problems prevent configuration of clamav-daemon:
 clamav-daemon depends on clamav-freshclam | clamav-data; however:
  Package clamav-freshclam is not configured yet.
  Package clamav-data is not installed.
  Package clamav-freshclam which provides clamav-data is not configured yet.

dpkg: error processing clamav-daemon (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of clamav:
 clamav depends on clamav-freshclam | clamav-data; however:
  Package clamav-freshclam is not configured yet.
  Package clamav-data is not installed.
  Package clamav-freshclam which provides clamav-data is not configured yet.

dpkg: error processing clamav (--configure):
 dependency problems - leaving unconfigured
--------------------------------------------------------------------------------
Comment 1 Stefan Gohmann univentionstaff 2014-10-19 20:55:53 CEST
The postinst doesn't fail if the daemon start failed: r13866

Changelog: r54626
Comment 2 Felix Botner univentionstaff 2014-11-03 13:17:00 CET
OK
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:54:11 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".